<script setup lang="ts">
import { onMounted } from 'vue';
import PromotionsTable from './PromotionTables.vue';
import { usePromotionStore } from '@/stores/promotion';
import { useProductStore } from '@/stores/product';

const promotionStore = usePromotionStore()
const productStore = useProductStore()
onMounted(async () => {
  await promotionStore.getPromotions()
  await productStore.getProducts()
  console.log("finish");
})
</script>
<template>
  <v-container>

    <v-row no-gutters>
      <v-row no-gutters style="padding-bottom: 20px;">
        <v-col cols="12" md="5">
          <v-text-field v-model="promotionStore.search" density="compact" variant="solo" label="Search Promotion"
            append-inner-icon="mdi-magnify" single-line hide-details style="width: 200px; ">
          </v-text-field>
        </v-col>
        <v-col cols="12" md="5" style="padding-top: 0px; ">
          <div><v-btn prepend-icon="mdi-plus" style="margin-left: 550px;background-color: #47BB59;color:white;"
              @click="promotionStore.dialogType = true">Promotion Add</v-btn></div>
        </v-col>
      </v-row>
      <v-sheet width="1250" height="526" style="background-color: #E7D0B9; border: rgb(112, 73, 31) solid 3px;">

        <PromotionsTable></PromotionsTable>
      </v-sheet>

    </v-row>
  </v-container>
</template>